Page MenuHomePhabricator

ORES/ChangesListHooksHandlerTest causing build failures in other repos (e.g. UploadWizard)
Closed, ResolvedPublic

Description

A dummy commit (https://gerrit.wikimedia.org/r/c/mediawiki/extensions/UploadWizard/+/513288) on UploadWizard cannot be merged on account of test failures:

1) ORES\Tests\Hooks\ChangesListHooksHandlerTest::testOnChangesListSpecialPageStructuredFilters_Recentchangeslinked
2) Wikibase\Client\Tests\Hooks\SkinAfterBottomScriptsHandlerTest::testCreateSchema with data set #0
3) Wikibase\Client\Tests\Hooks\SkinAfterBottomScriptsHandlerTest::testCreateSchema with data set #1

Event Timeline

Cparle created this task.May 30 2019, 2:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2019, 2:36 PM
Cparle triaged this task as Unbreak Now! priority.May 30 2019, 2:37 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 30 2019, 2:37 PM
Krinkle renamed this task from Dummy commit in UploadWizard causes test failures to ORES/ChangesListHooksHandlerTest causing build failures in other repos (e.g. UploadWizard).May 30 2019, 3:20 PM
Krinkle added a project: ORES.
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptMay 30 2019, 3:20 PM
Krinkle added a subscriber: Krinkle.

(Tagging Growth-Team, the MW-integration part of this extension appears to be maintained by them as opposed to Scoring-platform. Apologies if I misunderstood.)

Change 513315 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/ORES@master] Disable broken test

https://gerrit.wikimedia.org/r/513315

kostajh claimed this task.May 30 2019, 4:47 PM
kostajh added a subscriber: kostajh.

I'll disable the ORES one and investigate it, but seems like we need another task for the Wikibase failure.

So the expected value for damaging -> conflictingFilters has two arrays, the second of which is:

That isn't present in the updated filters returned from

ChangesListHooksHandler::onChangesListSpecialPageStructuredFilters( $changesListSpecialPage );
$updatedFilters = $wrappedClsp->getFilterGroups();

Change 513315 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Disable broken test

https://gerrit.wikimedia.org/r/513315

The wikibase test fails because testCreateSchema calls $handler = new SkinAfterBottomScriptsHandler( $client, $repoLinker );, and then createSchema() in extensions/Wikibase/client/includes/Hooks/SkinAfterBottomScriptsHandler.php uses the value provided by WikimediaMessages https://codesearch.wmflabs.org/search/?q=%22Contributors%20to%20Wikimedia%20projects%22&i=nope&files=&repos=, which isn't expected in the Wikibase test.

Change 513335 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/Wikibase@master] Tests: Remove array values which are overridden by wfMessage

https://gerrit.wikimedia.org/r/513335

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 30 2019, 6:37 PM

Change 513375 had a related patch set uploaded (by Jforrester; owner: Kosta Harlan):
[mediawiki/extensions/ORES@wmf/1.34.0-wmf.7] Disable broken test

https://gerrit.wikimedia.org/r/513375

Change 513375 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.34.0-wmf.7] Disable broken test

https://gerrit.wikimedia.org/r/513375

Change 513335 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Tests: Remove array values which are overridden by wfMessage

https://gerrit.wikimedia.org/r/513335

Jdforrester-WMF closed this task as Resolved.May 31 2019, 11:49 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

AFAICT this is now Resolved.

Change 514074 had a related patch set uploaded (by Jforrester; owner: Kosta Harlan):
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.7] Tests: Remove array values which are overridden by wfMessage

https://gerrit.wikimedia.org/r/514074

kostajh reopened this task as Open.Jun 3 2019, 5:40 PM

AFAICT this is now Resolved.

I want to understand why ORES\Tests\Hooks\ChangesListHooksHandlerTest::testOnChangesListSpecialPageStructuredFilters_Recentchangeslinked started failing before closing out this issue.

Change 514086 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/ORES@master] (WIP): Re-enable test

https://gerrit.wikimedia.org/r/514086

Cparle added subscribers: WMDE-leszek, Halfak.EditedJun 4 2019, 3:54 PM

@WMDE-leszek @Halfak as far as we can see ORES and WikibaseClient are interfering with one another here, so perhaps they were not tested together until very recently. Know anything about this?

I'm honestly not sure. It's likely that @Ladsgroup knows some history here.

We'll check it on our end but likely not sooner than tomorrow (the evening is starting here). Integration with ORES not tested sounds like a possible reason, but we'll check. Would it be fine to lower the priority of this task to lower than Unbreak now given it is about determining the reason of the issue that got fixed already?

kostajh lowered the priority of this task from Unbreak Now! to Normal.Jun 4 2019, 4:19 PM

Would it be fine to lower the priority of this task to lower than Unbreak now given it is about determining the reason of the issue that got fixed already?

Oh yes, sorry, I forgot to change the priority when I re-opened.

Harej moved this task from Untriaged to Monitor on the Scoring-platform-team board.Jun 4 2019, 9:10 PM

Change 514074 abandoned by Jforrester:
Tests: Remove array values which are overridden by wfMessage

Reason:
wmf.7 is no longer active in production.

https://gerrit.wikimedia.org/r/514074

Change 514086 abandoned by Kosta Harlan:
(WIP): Re-enable test

Reason:
No time to pursue this now

https://gerrit.wikimedia.org/r/514086

kostajh closed this task as Resolved.Jul 16 2019, 9:35 PM

We'll check it on our end but likely not sooner than tomorrow (the evening is starting here). Integration with ORES not tested sounds like a possible reason, but we'll check. Would it be fine to lower the priority of this task to lower than Unbreak now given it is about determining the reason of the issue that got fixed already?

@WMDE-leszek was anyone able to take a quick look at this? ORES + WikibaseClient not being tested together seems like a reasonable theory, and we haven't (that I know of) seen complaints of errors in production, so I'm tentatively marking this resolved.

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:06 PM